Qt 5.6 | Qt 3D | C++ Classes | QBoundingVolumeSpecifier

Qt 5.6.3 Reference Documentation

# QBoundingVolumeSpecifier Class

(Qt3DRender::QBoundingVolumeSpecifier)

Header: | #include <QBoundingVolumeSpecifier>
qmake: | QT += 3drender
Instantiated By: | BoundingVolumeSpecifier

- List of all members, including inherited members

## Properties

- positionAttribute : Qt3DRender::QAbstractAttribute *

## Public Functions

| QBoundingVolumeSpecifier(QObject *parent = Q_NULLPTR)
QAbstractAttribute * | positionAttribute() const

## Public Slots

void | setPositionAttribute(QAbstractAttribute *positionAttribute)

## Signals

void | positionAttributeChanged(QAbstractAttribute *positionAttribute)

## Detailed Description

## Property Documentation

### positionAttribute : Qt3DRender::QAbstractAttribute *

Holds the position attribute.

Access functions:

QAbstractAttribute * | positionAttribute() const
void | setPositionAttribute(QAbstractAttribute *positionAttribute)

Notifier signal:

void | positionAttributeChanged(QAbstractAttribute *positionAttribute)

## Member Function Documentation

### QBoundingVolumeSpecifier::QBoundingVolumeSpecifier(QObject *parent = Q_NULLPTR)

Constructs a new QBoundingVolumeSpecifier with parent.